#!/usr/bin/env python

from flask import Flask, render_template, redirect, url_for, request, session
import openvpnstatus

app = Flask(__name__)

@app.route("/")
def index():
    if "username" in session:
        return render_template("home.html", username = session["username"])
    return render_template("login.html")

@app.route("/login", methods = ["GET", "POST"])
def login():
    if request.method == "POST":
        session["username"] = request.form["username"]
        if 'login' in request.referrer:
            return redirect(url_for('index'))
        else:
            return redirect(request.referrer)
    return render_template("login.html")

@app.route("/logout")
def logout():
    session.pop("username", None)
    return redirect(url_for("index"))

@app.route("/status")
def status():
    if "username" in session:
        o = openvpnstatus.openvpnstatus()
        return render_template("status.html", connections = o.connections, routes = o.routes, username = session["username"])
    return render_template("login.html")

@app.route("/form", methods=["GET", "POST"])
def formular():
    if "username" in session:
        something = "iatren"
        if request.method == "POST":
            value = request.form["textfield"]
            return render_template("footer.html", test=value, test2=value)
        else:   
            return render_template("form.html")
    return render_template("login.html")


app.secret_key = 'A0Zr98j/3yX R~XHH!jmN]LWX/,?RT'


if __name__ == "__main__":
    app.run(debug=True)
